commit: 53c6a8409e3078aa92d8e7e9003bd287c8831150
Author: Ralph Seichter <github <AT> seichter <DOT> de>
AuthorDate: Wed Jul 18 19:14:23 2018 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul 30 20:22:59 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=53c6a840
www-servers/nginx-unit: Added 'ruby' use flag
Package-Manager: Portage-2.3.40, Repoman-2.3.9
www-servers/nginx-unit/nginx-unit-1.3-r1.ebuild | 43 +++++++++++++++++++++++++
1 file changed, 43 insertions(+)
diff --git a/www-servers/nginx-unit/nginx-unit-1.3-r1.ebuild
b/www-servers/nginx-unit/nginx-unit-1.3-r1.ebuild
new file mode 100644
index 00000000000..9a9a22e39cd
--- /dev/null
+++ b/www-servers/nginx-unit/nginx-unit-1.3-r1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_P="unit-${PV}"
+
+DESCRIPTION="A dynamic web and application server"
+HOMEPAGE="https://unit.nginx.org"
+SRC_URI="https://unit.nginx.org/download/${MY_P}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="perl python ruby"
+REQUIRED_USE="|| ( ${IUSE} )"
+
+DEPEND="perl? ( dev-lang/perl:= )
+ python? ( dev-lang/python:= )
+ ruby? ( dev-lang/ruby:= )"
+RDEPEND="${DEPEND}"
+S="${WORKDIR}/${MY_P}"
+
+src_configure() {
+ ./configure \
+ --prefix=/usr \
+ --log=/var/log/${PN} \
+ --state=/var/lib/${PN} \
+ --pid=/run/${PN}.pid \
+ --control=unix:/run/${PN}.sock || die "Core configuration
failed"
+ for flag in ${IUSE} ; do
+ if use ${flag} ; then
+ ./configure ${flag} || die "Module configuration
failed: ${flag}"
+ fi
+ done
+}
+
+src_install() {
+ default
+ diropts -m 0770
+ keepdir /var/lib/${PN}
+ newinitd "${FILESDIR}/${PN}.initd" ${PN}
+}